"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/extends"));

var defaultConfig = require('./index.default');

var providerPackage = require('frontful-config/provider/package');

var objectPath = require('object-path');

var customConfig = objectPath(providerPackage('frontful.babel') || {});
var mergedConfig = {
  ignore: customConfig.get('ignore'),
  server: customConfig.get('server.config') || require('../provider/server')((0, _extends2.default)({}, defaultConfig.server.options, customConfig.get('server.options'))),
  browser: customConfig.get('browser.config') || require('../provider/browser')((0, _extends2.default)({}, defaultConfig.browser.options, customConfig.get('browser.options'))),
  package: customConfig.get('package.config') || require('../provider/package')((0, _extends2.default)({}, defaultConfig.package.options, customConfig.get('package.options')))
};
module.exports = mergedConfig;